/* tslint:disable */
/* eslint-disable */
// @generated
// This file was automatically generated and should not be edited.

import { Pagination } from "@vegaprotocol/types";

// ====================================================
// GraphQL query operation: Trades
// ====================================================

export interface Trades_market_tradesConnection_edges_node_market {
  __typename: "Market";
  /**
   * Market ID
   */
  id: string;
  /**
   * decimalPlaces indicates the number of decimal places that an integer must be shifted by in order to get a correct
   * number denominated in the currency of the market. (uint64)
   * 
   * Examples:
   * Currency     Balance  decimalPlaces  Real Balance
   * GBP              100              0       GBP 100
   * GBP              100              2       GBP   1.00
   * GBP              100              4       GBP   0.01
   * GBP                1              4       GBP   0.0001   (  0.01p  )
   * 
   * GBX (pence)      100              0       GBP   1.00     (100p     )
   * GBX (pence)      100              2       GBP   0.01     (  1p     )
   * GBX (pence)      100              4       GBP   0.0001   (  0.01p  )
   * GBX (pence)        1              4       GBP   0.000001 (  0.0001p)
   */
  decimalPlaces: number;
  /**
   * positionDecimalPlaces indicates the number of decimal places that an integer must be shifted in order to get a correct size (uint64).
   * i.e. 0 means there are no fractional orders for the market, and order sizes are always whole sizes.
   * 2 means sizes given as 10^2 * desired size, e.g. a desired size of 1.23 is represented as 123 in this market.
   * This sets how big the smallest order / position on the market can be.
   */
  positionDecimalPlaces: number;
}

export interface Trades_market_tradesConnection_edges_node {
  __typename: "Trade";
  /**
   * The hash of the trade data
   */
  id: string;
  /**
   * The price of the trade (probably initially the passive order price, other determination algorithms are possible though) (uint64)
   */
  price: string;
  /**
   * The number of contracts trades, will always be <= the remaining size of both orders immediately before the trade (uint64)
   */
  size: string;
  /**
   * RFC3339Nano time for when the trade occurred
   */
  createdAt: string;
  /**
   * The market the trade occurred on
   */
  market: Trades_market_tradesConnection_edges_node_market;
}

export interface Trades_market_tradesConnection_edges {
  __typename: "TradeEdge";
  node: Trades_market_tradesConnection_edges_node;
  cursor: string;
}

export interface Trades_market_tradesConnection_pageInfo {
  __typename: "PageInfo";
  startCursor: string;
  endCursor: string;
  hasNextPage: boolean;
  hasPreviousPage: boolean;
}

export interface Trades_market_tradesConnection {
  __typename: "TradeConnection";
  /**
   * The trade in this connection
   */
  edges: Trades_market_tradesConnection_edges[];
  /**
   * The pagination information
   */
  pageInfo: Trades_market_tradesConnection_pageInfo;
}

export interface Trades_market {
  __typename: "Market";
  /**
   * Market ID
   */
  id: string;
  tradesConnection: Trades_market_tradesConnection;
}

export interface Trades {
  /**
   * An instrument that is trading on the Vega network
   */
  market: Trades_market | null;
}

export interface TradesVariables {
  marketId: string;
  pagination?: Pagination | null;
}
